| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csNormalCalculator Class Reference

A normal calculator. More...

`#include <cstool/normalcalc.h>`

List of all members.

## Static Public Member Functions
static void | CalculateNormals (csDirtyAccessArray< csVector3 > &mesh_vertices, csDirtyAccessArray< csTriangle > &mesh_triangles, csDirtyAccessArray< csVector3 > &mesh_normals, bool do_compress)
| Calculate normals for the given mesh.

## Detailed Description

A normal calculator.

Definition at line 36 of file normalcalc.h.

## Member Function Documentation

static void csNormalCalculator::CalculateNormals | ( | csDirtyAccessArray< csVector3 > & | mesh_vertices,
|  | csDirtyAccessArray< csTriangle > & | mesh_triangles,
|  | csDirtyAccessArray< csVector3 > & | mesh_normals,
|  | bool | do_compress |
| ) |  |  | `[static]`

Calculate normals for the given mesh.

Parameters:

  | mesh_vertices | Vertices of the mesh.
  | mesh_triangles | Triangles of the mesh.
  | mesh_normals | Normals of the mesh.
  | do_compress | if true then the vertices will be compressed (equal vertices collapsed) before calculating normals. If false then this will not happen which means that you can have seams.

The documentation for this class was generated from the following file:

- cstool/normalcalc.h